org.springframework.batch.core.configuration.xml

## Class AbstractListenerParser

- java.lang.Object
- - org.springframework.batch.core.configuration.xml.AbstractListenerParser

- Direct Known Subclasses:
    JobExecutionListenerParser, StepListenerParser

      public abstract class AbstractListenerParser
      extends java.lang.Object

  Since:
    2.0
  Author:
    Dan Garrette
  See Also:
    `StepListenerParser`, `JobExecutionListenerParser`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractListenerParser()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doParse(org.w3c.dom.Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
    `protected abstract java.lang.Class<? extends AbstractListenerFactoryBean<?>>` | `getBeanClass()`
    `protected abstract ListenerMetaData[]` | `getMetaDataValues()`
    `org.springframework.beans.factory.support.AbstractBeanDefinition` | `parse(org.w3c.dom.Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`
    `static org.springframework.beans.BeanMetadataElement` | `parseListenerElement(org.w3c.dom.Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.config.BeanDefinition enclosing)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractListenerParser

          public AbstractListenerParser()

  - ### Method Detail

    - #### parse

          public org.springframework.beans.factory.support.AbstractBeanDefinition parse(org.w3c.dom.Element element,
                                                                                        org.springframework.beans.factory.xml.ParserContext parserContext)

    - #### doParse

          public void doParse(org.w3c.dom.Element element,
                              org.springframework.beans.factory.xml.ParserContext parserContext,
                              org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

    - #### parseListenerElement

          public static org.springframework.beans.BeanMetadataElement parseListenerElement(org.w3c.dom.Element element,
                                                                                           org.springframework.beans.factory.xml.ParserContext parserContext,
                                                                                           org.springframework.beans.factory.config.BeanDefinition enclosing)

    - #### getBeanClass

          protected abstract java.lang.Class<? extends AbstractListenerFactoryBean<?>> getBeanClass()

    - #### getMetaDataValues

          protected abstract ListenerMetaData[] getMetaDataValues()